## konversation 1.5

=== CMakeLists.txt ===
project(konversation)

#paranoid?
cmake_minimum_required(VERSION 2.6.2)

set(KDE_MIN_VERSION "4.7.0")
#atm this gets us FindQt4 and FindX11 (provided that the default cmake FindQt4 doesn't get used)
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package(KdepimLibs REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(CheckIncludeFile)
include(CMakeDependentOption)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

string(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
    if(CMAKE_BUILD_TYPE_TOLOWER MATCHES debugfull)
    add_definitions (-DQT_STRICT_ITERATORS)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIRS})

macro_optional_find_package(QCA2)
macro_bool_to_01(QCA2_FOUND HAVE_QCA2)
macro_log_feature(QCA2_FOUND "QCA" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0.0" "Required for using encryption in IRC")

check_include_file("stropts.h" HAVE_STROPTS_H)
check_include_file("byteswap.h" HAVE_BYTESWAP_H)
check_include_file("sys/endian.h" HAVE_SYS_ENDIAN_H)

configure_file(config-konversation.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konversation.h )

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(doc)

get_filename_component(_po_path po ABSOLUTE)
get_filename_component(_doc_translations_path doc-translations ABSOLUTE)

if (EXISTS ${_po_path}/CMakeLists.txt OR EXISTS ${_doc_translations_path}/CMakeLists.txt)
    find_package(Msgfmt REQUIRED)
    find_package(Gettext REQUIRED)
endif()

if (EXISTS ${_po_path}/CMakeLists.txt)
    add_subdirectory(po)
endif()

if (EXISTS ${_doc_translations_path}/CMakeLists.txt)
    add_subdirectory(doc-translations)
endif()

macro_display_feature_log()

=== data/CMakeLists.txt ===

add_subdirectory(images)
add_subdirectory(scripts)
add_subdirectory(scripting_support)


########### install files ###############

install(PROGRAMS   konversation.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES   konversationui.rc konversation.notifyrc DESTINATION
	${DATA_INSTALL_DIR}/konversation)
install(FILES   updaters/konversation.upd DESTINATION ${DATA_INSTALL_DIR}/kconf_update)
install(PROGRAMS updaters/konversation-0.19-colors.pl
                updaters/konversation-0.19-sortorder.pl
                updaters/konversation-0.19-appearance.pl
                updaters/konversation-0.19-tabplacement.pl
                updaters/konversation-0.19-custombrowser.pl
                updaters/konversation-0.19-colorcodes.pl
                updaters/konversation-0.19-notifylists.pl
                updaters/konversation-0.20-quickbuttons.pl
                updaters/konversation-0.20-customfonts.pl
                DESTINATION ${DATA_INSTALL_DIR}/kconf_update)
install(FILES  konvirc.protocol konvircs.protocol konvirc6.protocol DESTINATION ${SERVICES_INSTALL_DIR})

=== doc-translations/CMakeLists.txt ===
add_subdirectory( ca_konversation/konversation )
add_subdirectory( de_konversation/konversation )
add_subdirectory( es_konversation/konversation )
add_subdirectory( et_konversation/konversation )
add_subdirectory( fr_konversation/konversation )
add_subdirectory( it_konversation/konversation )
add_subdirectory( nl_konversation/konversation )
add_subdirectory( pt_BR_konversation/konversation )
add_subdirectory( sv_konversation/konversation )
add_subdirectory( uk_konversation/konversation )

=== doc/CMakeLists.txt ===
kde4_create_handbook( index.docbook  INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR konversation )

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( gl )
add_subdirectory( he )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( si )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== src/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/config)
include_directories(config dcc irc viewer linkaddressbook upnp)

if (QCA2_FOUND)
    include_directories(${QCA2_INCLUDE_DIR})
endif (QCA2_FOUND)

set(core_SRCS
    #====================================
    #=== Application
    config/preferences.cpp
    application.cpp
    dbus.cpp
    mainwindow.cpp
    main.cpp
    common.cpp
    sound.cpp
    ssllabel.cpp
    statusbar.cpp
    bookmarkhandler.cpp
    scriptlauncher.cpp
    konsolepanel.cpp
    notificationhandler.cpp
    awaymanager.cpp
    connectionmanager.cpp
    connectionsettings.cpp
    identity.cpp
    identitydialog.cpp

    #=== GUI
    urlcatcher.cpp
    queuetuner.cpp
    quickconnectdialog.cpp
)

set (irc_SRCS
    #== IRC
    irc/server.cpp

    irc/query.cpp
    irc/channel.cpp
    irc/channellistpanel.cpp
    irc/channelnick.cpp
    irc/modebutton.cpp
    irc/joinchanneldialog.cpp
    irc/invitedialog.cpp
    irc/topichistorymodel.cpp

    irc/irccharsets.cpp

    irc/nick.cpp
    irc/nickinfo.cpp
    irc/nicklistview.cpp
    irc/nicksonline.cpp
    irc/nicksonlineitem.cpp

    #=== Server
    irc/inputfilter.cpp
    irc/outputfilter.cpp
    irc/outputfilterresolvejob.cpp
    irc/ircqueue.cpp
    irc/servergroupdialog.cpp
    irc/servergroupsettings.cpp
    irc/serverison.cpp
    irc/serverlistdialog.cpp
    irc/serverlistview.cpp
    irc/serversettings.cpp
)

kde4_add_ui_files(irc_SRCS
    irc/channellistpanelui.ui
    irc/channeldialogui.ui
    irc/joinchannelui.ui
    irc/serverdialogui.ui
    irc/servergroupdialogui.ui
    irc/serverlistdialogui.ui
    irc/invitedialog.ui
)

    #=== Configuration dialog pages
set(config_SRCS
    config/configdialog.cpp
    config/settingsdialog.cpp
    config/alias_config.cpp
    config/autoreplace_config.cpp
    config/dcc_config.cpp
    config/highlight_config.cpp
    config/ignore_config.cpp
    config/nicklistbehavior_config.cpp
    config/osd_config.cpp
    config/tabs_config.cpp
    config/theme_config.cpp
    config/quickbuttons_config.cpp
    config/warnings_config.cpp
    config/connectionbehavior_config.cpp
)

kde4_add_ui_files(config_SRCS
    config/alias_configui.ui
    config/autoreplace_configui.ui
    config/chatwindowappearance_config.ui
    config/chatwindowbehaviour_config.ui
    config/colorsappearance_config.ui
    config/connectionbehavior_config.ui
    config/dcc_configui.ui
    config/fontappearance_config.ui
    config/generalbehavior_configui.ui
    config/highlight_configui.ui
    config/ignore_configui.ui
    config/log_config.ui
    config/nicklistbehavior_configui.ui
    config/osd_configui.ui
    config/quickbuttons_configui.ui
    config/tabnotifications_config.ui
    config/tabs_configui.ui
    config/theme_configui.ui
    config/warnings_configui.ui
    config/watchednicknames_configui.ui
)

    #=== Viewer
set(viewer_SRCS
    viewer/ircinput.cpp
    viewer/ircview.cpp
    viewer/chatwindow.cpp
    viewer/rawlog.cpp
    viewer/statuspanel.cpp
    viewer/ircviewbox.cpp
    viewer/viewcontainer.cpp
    viewer/viewtree.cpp
    viewer/viewtreeitem.cpp
    viewer/pasteeditor.cpp
    viewer/highlight.cpp
    viewer/highlightviewitem.cpp
    viewer/ignore.cpp
    viewer/ignorelistviewitem.cpp
    viewer/irccolorchooser.cpp
    viewer/logfilereader.cpp
    viewer/insertchardialog.cpp
    viewer/osd.cpp
    viewer/topiclabel.cpp
    viewer/awaylabel.cpp
    viewer/editnotifydialog.cpp
    viewer/emoticons.cpp
    viewer/images.cpp
    viewer/quickbutton.cpp
    viewer/searchbar.cpp
    viewer/irccontextmenus.cpp
    viewer/trayicon.cpp
    viewer/viewspringloader.cpp
    viewer/channeloptionsdialog.cpp
    viewer/topicedit.cpp
    viewer/topichistoryview.cpp
)

kde4_add_ui_files(viewer_SRCS
    viewer/channeloptionsui.ui
    viewer/irccolorchooserui.ui
    viewer/pasteeditor.ui
)

    #=== DCC
set(dcc_SRCS
    dcc/chat.cpp
    dcc/chatcontainer.cpp
    dcc/dcccommon.cpp
    dcc/dccfiledialog.cpp
    dcc/recipientdialog.cpp
    dcc/resumedialog.cpp
    dcc/transfer.cpp
    dcc/transferdetailedinfopanel.cpp
    dcc/transfermanager.cpp
    dcc/transferpanel.cpp
    dcc/transferrecv.cpp
    dcc/transfersend.cpp
    dcc/transferlistmodel.cpp
    dcc/transferview.cpp
    dcc/whiteboard.cpp
    dcc/whiteboardcolorchooser.cpp
    dcc/whiteboardfontchooser.cpp
    dcc/whiteboardglobals.cpp
    dcc/whiteboardpaintarea.cpp
    dcc/whiteboardtoolbar.cpp
)

kde4_add_ui_files(dcc_SRCS
    dcc/transferdetailedinfopanelui.ui
    dcc/transferdetailedtimeinfopanelui.ui
    dcc/whiteboardtoolbarui.ui
    dcc/whiteboardfontchooserui.ui
)

set(linkaddressbook_SRCS
    linkaddressbook/linkaddressbookui.cpp
    linkaddressbook/addressbook_base.cpp
    linkaddressbook/addressbook.cpp
    linkaddressbook/addresseeitem.cpp
)

kde4_add_ui_files(linkaddressbook_SRCS
    linkaddressbook/linkaddressbookui_base.ui
)
if (QCA2_FOUND)
    set(cipher_SRCS
        cipher.cpp)
endif (QCA2_FOUND)

set(upnp_SRCS
    upnp/soap.cpp
    upnp/upnpdescriptionparser.cpp
    upnp/upnpmcastsocket.cpp
    upnp/upnprouter.cpp
)

set (completed_SRCS ${core_SRCS} ${irc_SRCS} ${viewer_SRCS} ${config_SRCS} ${dcc_SRCS} ${linkaddressbook_SRCS} ${cipher_SRCS} ${upnp_SRCS})
set (konversation_SRCS ${completed_SRCS})

kde4_add_ui_files(konversation_SRCS
    identitydialog.ui
    queuetunerbase.ui
    viewer/searchbarbase.ui
)

kde4_add_kcfg_files(konversation_SRCS config/preferences_base.kcfgc)

kde4_add_app_icon(konversation_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/images/icons/hi*-app-konversation.png")

kde4_add_executable(konversation ${konversation_SRCS})

target_link_libraries(konversation ${KDE4_KIO_LIBS} ${KDE4_KPARTS_LIBS}
                                   ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KABC_LIBS}
                                   ${KDE4_KNOTIFYCONFIG_LIBRARY} ${PHONON_LIBRARY} ${KDE4_SOLID_LIBS}
                                   ${KDE4_KIDLETIME_LIBS} ${KDE4_KEMOTICONS_LIBS})

if (QCA2_FOUND)
    target_link_libraries(konversation ${QCA2_LIBRARIES})
endif (QCA2_FOUND)

install(TARGETS konversation ${INSTALL_TARGETS_DEFAULT_ARGS})

=== data/scripts/CMakeLists.txt ===
install(PROGRAMS
    bug
    cmd
    fortune
    gauge
    mail
    media
    sayclip
    sysinfo
    tinyurl
    uptime
    DESTINATION ${DATA_INSTALL_DIR}/konversation/scripts)

install(FILES
    fortunes.dat
    DESTINATION ${DATA_INSTALL_DIR}/konversation/scripts)

=== po/he/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( he ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== doc-translations/ca_konversation/konversation/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ca/)

=== doc-translations/et_konversation/konversation/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/et/)

=== data/images/nickicons/smiling/CMakeLists.txt ===
install(FILES  irc_admin.png irc_away.png irc_halfop.png irc_normal.png
	irc_op.png  			irc_owner.png irc_voice.png
	index.desktop DESTINATION ${DATA_INSTALL_DIR}/konversation/themes/smiling)

=== data/scripting_support/python/konversation/CMakeLists.txt ===
install(FILES
    __init__.py
    dbus.py
    i18n.py
    DESTINATION ${DATA_INSTALL_DIR}/konversation/scripting_support/python/konversation)

=== debian/changelog ===
konversation (1.5-2) unstable; urgency=medium

  * Backport fix for CVE-2014-8483 in cve-2014-8483.patch
    See https://security-tracker.debian.org/tracker/CVE-2014-8483
    (Closes: #768191)

 -- Diane Trout <diane@ghic.org>  Wed, 05 Nov 2014 22:47:53 +0100

konversation (1.5-1) unstable; urgency=medium

  * New upstream release
  * Make watch file robust to different compression extensions
  * Add myself to Uploaders
  * Refresh debian_channel.diff
  * Bump Standards-Version to 3.9.5: no changes needed.
  * Update to debhelper compat 9, to add hardening flags.
  * Update Vcs-Git and Vcs-Browser to canonical hostnames.

 -- Diane Trout <diane@ghic.org>  Sat, 22 Feb 2014 17:19:34 -0800

=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Diane Trout <diane@ghic.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4:4.7), kdelibs5-dev (>= 4:4.4.3), kdepimlibs5-dev (>= 4:4.4.3),
 libqca2-dev
Standards-Version: 3.9.5
Homepage: http://konversation.kde.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/konversation.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/konversation.git

Package: konversation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, konversation-data (= ${source:Version})
Provides: irc
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Recommends: konversation (>= ${source:Version}), python
Replaces: konversation (<< 1.3~beta1-2)
Breaks: konversation (<< 1.3~beta1-2)
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.

Package: konversation-dbg
Section: debug
Architecture: any
Priority: extra
Depends: konversation (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg
Description: debugging symbols for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains the debugging symbols associated with konversation. They
 will automatically be used by gdb for debugging konversation-related issues.

=== debian/rules ===
#!/usr/bin/make -f

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_install:
	dh_install
	# Install scripts README (and rename)
	if [ -d debian/konversation ]; then \
	    cp -a data/scripts/README debian/konversation/usr/share/doc/konversation/README.scripts; \
	fi

%:
	dh  $@ --with kde --parallel --dbg-package=konversation-dbg

## konversation 1.6

=== CMakeLists.txt ===
project(konversation)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.3.0")
set(KF5_MIN_VERSION "5.2.0")

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(CheckIncludeFile)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Archive
    Bookmarks
    Config
    ConfigWidgets
    CoreAddons
    DocTools
    Emoticons
    I18n
    IdleTime
    NotifyConfig
    KIO
    Parts
    Solid
    Sonnet
    Wallet
    WidgetsAddons
    GlobalAccel
    DBusAddons
    Notifications
    WindowSystem
    IconThemes
    ItemViews
)

find_package(Phonon4Qt5 4.6.60 REQUIRED)
include_directories(${PHONON_INCLUDES})

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "http://download.kde.org/stable/qca-qt5/"
                       TYPE OPTIONAL)
check_include_file("stropts.h" HAVE_STROPTS_H)
check_include_file("byteswap.h" HAVE_BYTESWAP_H)
check_include_file("sys/endian.h" HAVE_SYS_ENDIAN_H)

configure_file(config-konversation.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konversation.h )
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(HAVE_QCA2 ${Qca-qt5_FOUND})

add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
# -DQT_NO_SIGNALS_SLOTS_KEYWORDS FIXME KF5 Port: QCA includes cause trouble.
  -DQT_USE_FAST_OPERATOR_PLUS
)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(doc)

ki18n_install(po)

get_filename_component(_doc_translations_path doc-translations ABSOLUTE)

if (EXISTS ${_doc_translations_path}/CMakeLists.txt)
    add_subdirectory(doc-translations)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 
 ########### install files ###############
 
-install(PROGRAMS   konversation.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
-install(FILES   konversationui.rc konversation.notifyrc DESTINATION
-	${DATA_INSTALL_DIR}/konversation)
+install(PROGRAMS   org.kde.konversation.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(FILES   konversationui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/konversation)
+install(FILES   konversation.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
 install(FILES   updaters/konversation.upd DESTINATION ${DATA_INSTALL_DIR}/kconf_update)
 install(PROGRAMS updaters/konversation-0.19-colors.pl
                 updaters/konversation-0.19-sortorder.pl

=== doc/CMakeLists.txt ===
add_subdirectory(en)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(nl)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(uk)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,5 @@
-
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/config)
-include_directories(config dcc irc viewer linkaddressbook upnp)
-
-if (QCA2_FOUND)
-    include_directories(${QCA2_INCLUDE_DIR})
-endif (QCA2_FOUND)
+include_directories(config dcc irc viewer upnp)
 
 set(core_SRCS
     #====================================
@@ -68,7 +63,7 @@
     irc/serversettings.cpp
 )
 
-kde4_add_ui_files(irc_SRCS
+ki18n_wrap_ui(irc_SRCS
     irc/channellistpanelui.ui
     irc/channeldialogui.ui
     irc/joinchannelui.ui
@@ -96,7 +91,7 @@
     config/connectionbehavior_config.cpp
 )
 
-kde4_add_ui_files(config_SRCS
+ki18n_wrap_ui(config_SRCS
     config/alias_configui.ui
     config/autoreplace_configui.ui
     config/chatwindowappearance_config.ui
@@ -128,8 +123,6 @@
     viewer/statuspanel.cpp
     viewer/ircviewbox.cpp
     viewer/viewcontainer.cpp
-    viewer/viewtree.cpp
-    viewer/viewtreeitem.cpp
     viewer/pasteeditor.cpp
     viewer/highlight.cpp
     viewer/highlightviewitem.cpp
@@ -152,59 +145,50 @@
     viewer/channeloptionsdialog.cpp
     viewer/topicedit.cpp
     viewer/topichistoryview.cpp
-)
-
-kde4_add_ui_files(viewer_SRCS
+    viewer/viewtree.cpp
+)
+
+ki18n_wrap_ui(viewer_SRCS
     viewer/channeloptionsui.ui
     viewer/irccolorchooserui.ui
     viewer/pasteeditor.ui
 )
 
-    #=== DCC
+     #=== DCC
 set(dcc_SRCS
-    dcc/chat.cpp
-    dcc/chatcontainer.cpp
-    dcc/dcccommon.cpp
-    dcc/dccfiledialog.cpp
-    dcc/recipientdialog.cpp
-    dcc/resumedialog.cpp
-    dcc/transfer.cpp
-    dcc/transferdetailedinfopanel.cpp
-    dcc/transfermanager.cpp
-    dcc/transferpanel.cpp
-    dcc/transferrecv.cpp
-    dcc/transfersend.cpp
-    dcc/transferlistmodel.cpp
-    dcc/transferview.cpp
-    dcc/whiteboard.cpp
-    dcc/whiteboardcolorchooser.cpp
-    dcc/whiteboardfontchooser.cpp
-    dcc/whiteboardglobals.cpp
-    dcc/whiteboardpaintarea.cpp
-    dcc/whiteboardtoolbar.cpp
-)
-
-kde4_add_ui_files(dcc_SRCS
-    dcc/transferdetailedinfopanelui.ui
-    dcc/transferdetailedtimeinfopanelui.ui
-    dcc/whiteboardtoolbarui.ui
-    dcc/whiteboardfontchooserui.ui
-)
-
-set(linkaddressbook_SRCS
-    linkaddressbook/linkaddressbookui.cpp
-    linkaddressbook/addressbook_base.cpp
-    linkaddressbook/addressbook.cpp
-    linkaddressbook/addresseeitem.cpp
-)
-
-kde4_add_ui_files(linkaddressbook_SRCS
-    linkaddressbook/linkaddressbookui_base.ui
-)
-if (QCA2_FOUND)
+     dcc/chat.cpp
+     dcc/chatcontainer.cpp
+     dcc/dcccommon.cpp
+     dcc/dccfiledialog.cpp
+     dcc/recipientdialog.cpp
+     dcc/resumedialog.cpp
+     dcc/transfer.cpp
+     dcc/transferdetailedinfopanel.cpp
+     dcc/transfermanager.cpp
+     dcc/transferpanel.cpp
+     dcc/transferrecv.cpp
+     dcc/transfersend.cpp
+     dcc/transferlistmodel.cpp
+     dcc/transferview.cpp
+     dcc/whiteboard.cpp
+     dcc/whiteboardcolorchooser.cpp
+     dcc/whiteboardfontchooser.cpp
+     dcc/whiteboardglobals.cpp
+     dcc/whiteboardpaintarea.cpp
+     dcc/whiteboardtoolbar.cpp
+)
+
+ki18n_wrap_ui(dcc_SRCS
+     dcc/transferdetailedinfopanelui.ui
+     dcc/transferdetailedtimeinfopanelui.ui
+     dcc/whiteboardtoolbarui.ui
+     dcc/whiteboardfontchooserui.ui
+)
+
+if (Qca-qt5_FOUND)
     set(cipher_SRCS
         cipher.cpp)
-endif (QCA2_FOUND)
+endif (Qca-qt5_FOUND)
 
 set(upnp_SRCS
     upnp/soap.cpp
@@ -213,28 +197,46 @@
     upnp/upnprouter.cpp
 )
 
-set (completed_SRCS ${core_SRCS} ${irc_SRCS} ${viewer_SRCS} ${config_SRCS} ${dcc_SRCS} ${linkaddressbook_SRCS} ${cipher_SRCS} ${upnp_SRCS})
+set (completed_SRCS ${core_SRCS} ${irc_SRCS} ${viewer_SRCS} ${config_SRCS} ${cipher_SRCS} ${upnp_SRCS} ${dcc_SRCS})
 set (konversation_SRCS ${completed_SRCS})
 
-kde4_add_ui_files(konversation_SRCS
+ki18n_wrap_ui(konversation_SRCS
     identitydialog.ui
     queuetunerbase.ui
     viewer/searchbarbase.ui
 )
 
-kde4_add_kcfg_files(konversation_SRCS config/preferences_base.kcfgc)
-
-kde4_add_app_icon(konversation_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/images/icons/hi*-app-konversation.png")
-
-kde4_add_executable(konversation ${konversation_SRCS})
-
-target_link_libraries(konversation ${KDE4_KIO_LIBS} ${KDE4_KPARTS_LIBS}
-                                   ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KABC_LIBS}
-                                   ${KDE4_KNOTIFYCONFIG_LIBRARY} ${PHONON_LIBRARY} ${KDE4_SOLID_LIBS}
-                                   ${KDE4_KIDLETIME_LIBS} ${KDE4_KEMOTICONS_LIBS})
-
-if (QCA2_FOUND)
-    target_link_libraries(konversation ${QCA2_LIBRARIES})
-endif (QCA2_FOUND)
+kconfig_add_kcfg_files(konversation_SRCS config/preferences_base.kcfgc)
+
+add_executable(konversation ${konversation_SRCS})
+
+target_link_libraries(konversation
+    Qt5::Widgets
+    KF5::Archive
+    KF5::Bookmarks
+    KF5::ConfigWidgets
+    KF5::Emoticons
+    KF5::I18n
+    KF5::IdleTime
+    KF5::NotifyConfig
+    KF5::KIOFileWidgets
+    KF5::KIOWidgets
+    KF5::Parts
+    KF5::Solid
+    KF5::SonnetCore
+    KF5::Wallet
+    KF5::WidgetsAddons
+    KF5::GlobalAccel
+    KF5::DBusAddons
+    KF5::CoreAddons
+    KF5::Notifications
+    KF5::WindowSystem
+    KF5::IconThemes
+    KF5::ItemViews
+    Phonon::phonon4qt5)
+
+if (Qca-qt5_FOUND)
+    target_link_libraries(konversation qca-qt5)
+endif ()
 
 install(TARGETS konversation ${INSTALL_TARGETS_DEFAULT_ARGS})

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                          SUBDIR konversation)

=== doc/it/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it
                          SUBDIR konversation)

=== doc/nl/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl
                          SUBDIR konversation)

=== doc/pt_BR/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR
                          SUBDIR konversation)

=== doc/uk/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk
                          SUBDIR konversation)

=== data/images/icons/CMakeLists.txt ===
ecm_install_icons(ICONS 128-apps-konversation.png  16-apps-konversation.png  22-actions-konv_message.png  22-apps-konversation.png  32-apps-konversation.png  48-apps-konversation.png  64-apps-konversation.png DESTINATION ${ICON_INSTALL_DIR} THEME hicolor)

=== data/images/nickicons/CMakeLists.txt ===
add_subdirectory(alternative)
add_subdirectory(christmas)
add_subdirectory(classic)
add_subdirectory(default)
add_subdirectory(smiling)
add_subdirectory(square)
add_subdirectory(simplistic)

=== data/images/nickicons/classic/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############

install(FILES  irc_admin.png irc_away.png irc_halfop.png irc_normal.png irc_op.png  			irc_owner.png irc_voice.png index.desktop DESTINATION ${DATA_INSTALL_DIR}/konversation/themes/classic)



#original Makefile.am contents follow:

#konversationicondir = $(kde_datadir)/konversation/themes/classic
#konversationicon_DATA = irc_admin.png irc_away.png irc_halfop.png irc_normal.png irc_op.png \
#			irc_owner.png irc_voice.png index.desktop

=== debian/changelog ===
konversation (1.6-0ubuntu1) vivid; urgency=medium

  * New upstream release. 1.6 final.

 -- Harald Sitter <sitter@kde.org>  Wed, 08 Apr 2015 09:54:29 +0200

konversation (1.6~beta1-0ubuntu1) vivid; urgency=medium

  * KDE Frameworks 5 port

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 01 Dec 2014 11:32:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,40 @@
 Source: konversation
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Team <debian-qt-kde@lists.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>, Diane Trout <diane@ghic.org>
-Build-Depends: debhelper (>= 9), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
- libqt4-dev (>= 4:4.7), kdelibs5-dev (>= 4:4.4.3), kdepimlibs5-dev (>= 4:4.4.3),
- libqca2-dev
-Standards-Version: 3.9.5
+Build-Depends: cmake (>= 2.6.2),
+               debhelper (>= 9),
+               extra-cmake-modules,
+               kio-dev,
+               libkf5archive-dev,
+               libkf5bookmarks-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5emoticons-dev,
+               libkf5i18n-dev,
+               libkf5idletime-dev,
+               libkf5kdelibs4support-dev,
+               libkf5notifyconfig-dev,
+               libkf5parts-dev,
+               libkf5solid-dev,
+               libkf5sonnet-dev,
+               libkf5wallet-dev,
+               libkf5widgetsaddons-dev,
+               libphonon4qt5-dev,
+               libphonon4qt5experimental-dev,
+               libqca-qt5-2-dev,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.6
 Homepage: http://konversation.kde.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/konversation.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/konversation.git
 
 Package: konversation
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, konversation-data (= ${source:Version})
+Depends: konversation-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: irc
 Description: user friendly Internet Relay Chat (IRC) client for KDE
  Konversation is a client for the Internet Relay Chat (IRC) protocol.
@@ -54,4 +75,3 @@
  Konversation is a client for the Internet Relay Chat (IRC) protocol. This
  package contains the debugging symbols associated with konversation. They
  will automatically be used by gdb for debugging konversation-related issues.
-

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_install:
	$(overridden_command)
	# Install scripts README (and rename)
	if [ -d debian/konversation ]; then \
	    cp -a data/scripts/README debian/konversation/usr/share/doc/konversation/README.scripts; \
	fi

override_dh_strip:
	$(overridden_command) --dbg-package=konversation-dbg

## konversation 1.6.1

=== debian/changelog ===
konversation (1.6.1-1ubuntu2) yakkety; urgency=medium

  * Konversation breaks/replaces konversation-data << 1.6.1~ 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 12 Aug 2016 21:52:18 +0200

konversation (1.6.1-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/{series, kubuntu_01_default_channels.diff}:
      + Don't use debian_channel.diff, we got own default channels.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 24 Jul 2016 16:14:10 +0200

konversation (1.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop passing -DCMAKE_USE_RELATIVE_PATHS=ON, since this option is no more
    used in newer CMake versions.
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update the build dependencies:
    - bump the minimum version for all the existing frameworks packages from
      5.2.0 to 5.15.0
    - add libkf5crash-dev
  * Update install files.
  * Link in as-needed mode.
  * Pass --fail-missing to dh_install, so no uninstalled files are missed.

 -- Pino Toscano <pino@debian.org>  Fri, 22 Jul 2016 07:17:16 +0200

konversation (1.6-3) unstable; urgency=medium

  * Team upload.
  * Drop menu file and its pixmaps, since konversation already provides a
    .desktop file.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove konversation-dbg in favour of the -dbgsym packages.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Jun 2016 12:17:04 +0200

konversation (1.6-2) unstable; urgency=medium

  * Add have-qca2-needs-to-be-defined.patch
    Andy Irving noticed an ordering problem that prevented
    Konversation from detecting it had QCA available.
    (Closes: #798036)

 -- Diane Trout <diane@debian.org>  Wed, 16 Sep 2015 22:21:23 -0700

konversation (1.6-1) unstable; urgency=medium

  * Update watch file.
  * Update Diane Trout's email address
  * Remove cve-2014-8483.patch, applied upstream.
  * New upstream release.
  * Update Build-Depends to KF5 packages.
  * Update install files for new Plasma5 locations.
  * Upstream is no longer providing a TODO file, remove it from docs.
  * Refresh debian_channel.diff and debian_dbug_autoreplace.diff patches

 -- Diane Trout <diane@debian.org>  Fri, 28 Aug 2015 11:10:40 -0700

=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Diane Trout <diane@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.6.2),
 pkg-kde-tools (>= 0.15.16),
 extra-cmake-modules (>= 1.2.0),
 qtbase5-dev (>= 5.3.0),
 kdoctools-dev (>= 5.15.0),
 kio-dev (>= 5.15.0),
 libkf5archive-dev (>= 5.15.0),
 libkf5bookmarks-dev (>= 5.15.0),
 libkf5config-dev (>= 5.15.0),
 libkf5configwidgets-dev (>= 5.15.0),
 libkf5coreaddons-dev (>= 5.15.0),
 libkf5crash-dev (>= 5.15.0),
 libkf5emoticons-dev (>= 5.15.0),
 libkf5idletime-dev (>= 5.15.0),
 libkf5i18n-dev (>= 5.15.0),
 libkf5notifyconfig-dev (>= 5.15.0),
 libkf5parts-dev (>= 5.15.0),
 libkf5solid-dev (>= 5.15.0),
 libkf5sonnet-dev (>= 5.15.0),
 libkf5wallet-dev (>= 5.15.0),
 libkf5widgetsaddons-dev (>= 5.15.0),
 libkf5globalaccel-dev (>= 5.15.0),
 libkf5dbusaddons-dev (>= 5.15.0),
 libkf5notifications-dev (>= 5.15.0),
 libkf5windowsystem-dev (>= 5.15.0),
 libkf5iconthemes-dev (>= 5.15.0),
 libphonon4qt5-dev (>= 4.6.60),
 libphonon4qt5experimental-dev (>= 4.6.60),
 libqca-qt5-2-dev (>= 2.1.0),
Standards-Version: 3.9.8
Homepage: http://konversation.kde.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/konversation.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/konversation.git

Package: konversation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, konversation-data (= ${source:Version})
Provides: irc
Breaks: konversation-data (<< 1.6.1~)
Replaces: konversation-data (<< 1.6.1~)
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Recommends: konversation (>= ${source:Version}), python
Replaces: konversation (<< 1.3~beta1-2)
Breaks: konversation (<< 1.3~beta1-2)
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.

## konversation 1.6.2

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,4 @@
                 updaters/konversation-0.20-customfonts.pl
                 DESTINATION ${DATA_INSTALL_DIR}/kconf_update)
 install(FILES  konvirc.protocol konvircs.protocol konvirc6.protocol DESTINATION ${SERVICES_INSTALL_DIR})
+install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.konversation.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -215,6 +215,7 @@
     KF5::Archive
     KF5::Bookmarks
     KF5::ConfigWidgets
+    KF5::Crash
     KF5::Emoticons
     KF5::I18n
     KF5::IdleTime

=== doc/sv/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv
                          SUBDIR konversation)

=== data/images/nickicons/oxygen/CMakeLists.txt ===
install(FILES  irc_admin.png irc_away.png irc_halfop.png irc_normal.png
	irc_op.png  			irc_owner.png irc_voice.png
	index.desktop DESTINATION ${DATA_INSTALL_DIR}/konversation/themes/oxygen)

=== debian/changelog ===
konversation (1.6.2-2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-15923: Crash in parsing IRC color formatting codes
    (Closes: #881586)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 13 Nov 2017 16:06:25 +0100

konversation (1.6.2-2) unstable; urgency=medium

  * Team upload.
  * Build also with recent versions of extra-cmake-modules, which change the
    installation directory for appdata files. (Closes: #835580)

 -- Pino Toscano <pino@debian.org>  Sat, 24 Sep 2016 17:00:35 +0200

konversation (1.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Aug 2016 06:40:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: konversation
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>, Diane Trout <diane@debian.org>
 Build-Depends: debhelper (>= 9), cmake (>= 2.6.2),
  pkg-kde-tools (>= 0.15.16),
@@ -42,8 +41,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, konversation-data (= ${source:Version})
 Provides: irc
-Breaks: konversation-data (<< 1.6.1~)
-Replaces: konversation-data (<< 1.6.1~)
 Description: user friendly Internet Relay Chat (IRC) client for KDE
  Konversation is a client for the Internet Relay Chat (IRC) protocol.
  It is easy to use and well-suited for novice IRC users, but novice

=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/ \
http://download.kde.org/stable/konversation/([\d.]+)/src/konversation-(.*).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## konversation 1.7.2

=== debian/changelog ===
konversation (1.7.2-1ubuntu1) artful; urgency=medium

  * Merge with debian; remaining changes
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - debian/control: Keep additional breaks/replaces on konversation-data
    - Keep Kubuntu VCS fields, as we maintain our own packaging
    - wrap-and-sort

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Jun 2017 16:21:51 +0100

konversation (1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies:
    - bump the minimum version for all the existing Qt packages from 5.3.0 to
      5.5.0
    - bump the minimum version for all the existing frameworks packages from
      5.15.0 to 5.25.0
    - replace deprecated:
      - kdoctools-dev -> libkf5doctools-dev
      - kio-dev -> libkf5kio-dev
    - drop libkf5sonnet-dev, no more used
  * Update install files.
  * Update the patches:
    - have-qca2-needs-to-be-defined.patch: drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 08:19:37 +0200

konversation (1.7.2-0ubuntu1) artful; urgency=medium

  * New upstream release (1.7.2) - Note: Konversation v1.7.2 is a
    repackage of v1.7.1 with incomplete and badly maintained
    translations removed. They were accidentally included with the
    v1.7.1 release.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 May 2017 16:22:53 +0100

konversation (1.7-0ubuntu1) artful; urgency=medium

  * New upstream release (1.7)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 22 Apr 2017 20:27:02 +0100

konversation (1.6.2-0ubuntu1) zesty; urgency=medium

  [ Walter Lapchynski ]
  * New upstream release (1.6.2), closes (LP: #1635911)
  * Changed appdata path to metainfo

  [ Clive Johnston ]
  * Adding new files to konversation.install

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 23 Dec 2016 01:31:44 +0000

=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Diane Trout <diane@debian.org>
Build-Depends: cmake (>= 2.6.2),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.2.0),
               libkf5archive-dev (>= 5.25.0),
               libkf5bookmarks-dev (>= 5.25.0),
               libkf5config-dev (>= 5.25.0),
               libkf5configwidgets-dev (>= 5.25.0),
               libkf5coreaddons-dev (>= 5.25.0),
               libkf5crash-dev (>= 5.25.0),
               libkf5dbusaddons-dev (>= 5.25.0),
               libkf5doctools-dev (>= 5.25.0),
               libkf5emoticons-dev (>= 5.25.0),
               libkf5globalaccel-dev (>= 5.25.0),
               libkf5i18n-dev (>= 5.25.0),
               libkf5iconthemes-dev (>= 5.25.0),
               libkf5idletime-dev (>= 5.25.0),
               libkf5kio-dev (>= 5.25.0),
               libkf5notifications-dev (>= 5.25.0),
               libkf5notifyconfig-dev (>= 5.25.0),
               libkf5parts-dev (>= 5.25.0),
               libkf5solid-dev (>= 5.25.0),
               libkf5wallet-dev (>= 5.25.0),
               libkf5widgetsaddons-dev (>= 5.25.0),
               libkf5windowsystem-dev (>= 5.25.0),
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev (>= 4.6.60),
               libqca-qt5-2-dev (>= 2.1.0),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.5.0)
Standards-Version: 3.9.8
Homepage: http://konversation.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation

Package: konversation
Architecture: any
Depends: konversation-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: irc
Breaks: konversation-data (<< 1.6.1~)
Replaces: konversation-data (<< 1.6.1~)
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Recommends: konversation (>= ${source:Version}), python
Replaces: konversation (<< 1.3~beta1-2)
Breaks: konversation (<< 1.3~beta1-2)
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.

## konversation 1.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(konversation)
 
 cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
-set (QT_MIN_VERSION "5.3.0")
-set(KF5_MIN_VERSION "5.2.0")
+set (QT_MIN_VERSION "5.5.0")
+set(KF5_MIN_VERSION "5.25.0")
 
 find_package(ECM 1.2.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
@@ -10,7 +10,7 @@
 include(CheckIncludeFile)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
 include(FeatureSummary)
 
@@ -22,6 +22,7 @@
     Config
     ConfigWidgets
     CoreAddons
+    Crash
     DocTools
     Emoticons
     I18n
@@ -30,7 +31,6 @@
     KIO
     Parts
     Solid
-    Sonnet
     Wallet
     WidgetsAddons
     GlobalAccel
@@ -52,10 +52,10 @@
 check_include_file("byteswap.h" HAVE_BYTESWAP_H)
 check_include_file("sys/endian.h" HAVE_SYS_ENDIAN_H)
 
+set(HAVE_QCA2 ${Qca-qt5_FOUND})
+
 configure_file(config-konversation.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konversation.h )
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
-
-set(HAVE_QCA2 ${Qca-qt5_FOUND})
 
 add_definitions(
   -DQT_USE_QSTRINGBUILDER
@@ -80,3 +80,8 @@
 endif()
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+  find_package(KF5DocTools CONFIG)
+  if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+  endif()

=== doc/CMakeLists.txt ===
kdoctools_create_handbook( index.docbook  INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR konversation )

=== data/images/nickicons/classic/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 
-include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )
 
 
 ########### install files ###############

=== debian/changelog ===
konversation (1.7.4-1ubuntu1) bionic; urgency=medium

  * New upstream release (1.7.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Nov 2017 20:04:28 +0000

konversation (1.7.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Nov 2017 20:06:48 +0100

konversation (1.7.3-1ubuntu1) bionic; urgency=medium

  * Merge with debian; remaining changes
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - debian/control: Keep additional breaks/replaces on konversation-data.
      Can be dropped after 18.04.
    - Keep Kubuntu VCS fields, as we maintain our own packaging
    - wrap-and-sort

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 11 Nov 2017 10:58:25 +0000

konversation (1.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Drop all the pre-Jessie replaces/breaks.
  * Remove trailing whitespaces in changelog.
  * Improve/simplify watch file.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Nov 2017 10:43:21 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libqca-qt5-2-dev (>= 2.1.0),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.5.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://konversation.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
 Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
@@ -67,8 +67,6 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
 Recommends: konversation (>= ${source:Version}), python
-Replaces: konversation (<< 1.3~beta1-2)
-Breaks: konversation (<< 1.3~beta1-2)
 Description: data files for Konversation
  Konversation is a client for the Internet Relay Chat (IRC) protocol. This
  package contains data files for Konversation. It is probably of no use if

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

override_dh_install:
	dh_install --fail-missing
	# Install scripts README (and rename)
	if [ -d debian/konversation ]; then \
	    cp -a data/scripts/README debian/konversation/usr/share/doc/konversation/README.scripts; \
	fi

override_dh_strip:
	dh_strip --dbgsym-migration='konversation-dbg (<< 1.6-3~)'

%:
	dh  $@ --with kf5 --parallel

=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/ \
https://download.kde.org/stable/konversation/([\d.]+)/src/konversation-(.*)\.tar\.xz
